/*==================================================================
 Program: CPS_Table
 Purpose: Table comparing RCT and CPS means.
===================================================================*/

*** Panel A of Table C4
set more off
use "$Temp/CPS_Combo.dta", clear
global VarNames2010 = "male black hisp other mixed age dropout hs somecoll bachelors mastersphd inc_2550 inc_5075 inc_75100 inc_100p" 
matrix input N = (1\2\3\4\5\6\7\8\9\10\11\12\13\14\15)
matrix input M = (1,2)
matrix Comp_2010 = N*M
matrix colnames Comp_2010 = "2010_Experiment" "2010_CPS_Voter_Supplement_data" 
matrix rownames Comp_2010 = "Male" "Black" "Hispanic" "Other" "Mixed" "Age" "Less_than_high_school" "High_school_degree" "Some_college_or_associate_degree" "Bachelor's_degree" "Master's_or_PhD" "Household_income_25k_to_50k" "Household_income_50k_to_75k" "Household_income_75k_to_100k" "Household_income_100k_and_up"
* Keep people from 2010 RCT or from 2010 CPS in RCT states.
keep if rct_2010==1 | (cps==1 & year==2010 & state_2010 == 1)
* For 2010, we restrict to people who responded to the online survey.
drop if rct_2010==1 & mi(t_close)
local Counter = 0
foreach yX of global VarNames2010 {
	local Counter = `Counter'+1
	qui mean `yX', over(cps)
	matrix J=e(b)
	matrix Comp_2010[`Counter',1]=J[1,1]
	matrix Comp_2010[`Counter',2]=J[1,2]
}
outtable using "$ObPath/CPS_2010_Comparison_$spec", mat(Comp_2010) nobox replace center f(%8.2f) cap("Summary statistics comparison with 2010 CPS Voter Supplement")

* Panel B of Table C4
set more off
use "$Temp/CPS_Combo.dta", clear
global VarNames2014 = "male black hisp other age"
matrix input N = (1\2\3\4\5)
matrix input M = (1,2)
matrix Comp_2014 = N*M
matrix colnames Comp_2014 = "2014_Experiment" "2014_CPS_Voter_Supplement_data" 
matrix rownames Comp_2014 = "Male" "Black" "Hispanic" "Other" "Age" 
* Keep people from 2014 RCT or from 2014 CPS in RCT states.
keep if rct_2014==1 | (cps==1 & year==2014 & state_2014 == 1)
local Counter = 0
foreach yX of global VarNames2014 {
	local Counter = `Counter'+1
	qui mean `yX', over(cps)
	matrix J=e(b)
	matrix Comp_2014[`Counter',1]=J[1,1]
	matrix Comp_2014[`Counter',2]=J[1,2]
}
outtable using "$ObPath/CPS_2014_Comparison_$spec", mat(Comp_2014) nobox replace center f(%8.2f) cap("Summary statistics comparison with 2014 CPS Voter Supplement")

* To make a 2-panel table, edit manually in LaTeX.
